Bug 501957 - Review Request: perl-Tk-ProgressBar-Mac - Mac ProgressBar for Perl::Tk
Summary: Review Request: perl-Tk-ProgressBar-Mac - Mac ProgressBar for Perl::Tk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: webinject
TreeView+ depends on / blocked
 
Reported: 2009-05-21 13:08 UTC by David Hannequin
Modified: 2009-11-12 00:59 UTC (History)
4 users (show)

Fixed In Version: 1.2-3.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-12 00:56:30 UTC
jan.klepek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Hannequin 2009-05-21 13:08:18 UTC
Spec URL: http://hvad.cfppa-cibeins.com/perl-Tk-ProgressBar-Mac/perl-Tk-ProgressBar-Mac.spec
SRPM URL: http://hvad.cfppa-cibeins.com/perl-Tk-ProgressBar-Mac/perl-Tk-ProgressBar-Mac-1.2-1.fc10.src.rpm
Description: This widget provides a dynamic image that looks just like a Mac OS 9 progress bar.  Packed around it are four Frames, north, south, east and west, within which you can stuff additional widgets. For example, see how Tk::Copy::Mac uses several Labels and a CollapsableFrame widget to create a reasonable facsimile of a Macintosh copy dialog.

Comment 1 Remi Collet 2009-05-30 07:25:43 UTC
As for Tk-Stderr, license is ambiguous.
- web page says Unknown
- man page says "same terms as Perl"
- spec says GLPv2

Should probably be "GPLv2+ or Artistic"

Can you ask upstream for clarification ?

I always prefer more precise %file (this improves change detection in update, for ex:
%{perl_vendorlib}/Tk
%{_mandir}/man3/Tk*.3*

You %define _xvfb (better be %global) but I don't where you need it.

Comment 2 David Hannequin 2009-06-02 15:52:57 UTC
Hi,

Below links to new spec and srpm files :

Spec URL:
http://hvad.cfppa-cibeins.com/perl-Tk-ProgressBar-Mac/perl-Tk-ProgressBar-Mac.spec
SRPM URL:
http://hvad.cfppa-cibeins.com/perl-Tk-ProgressBar-Mac/perl-Tk-ProgressBar-Mac-1.2-2.fc10.src.rpm

And i sent an email to the upstream to specify the license.

Best regard

Comment 3 Jan Klepek 2009-08-02 19:28:44 UTC
any response from upstream?

Comment 4 David Hannequin 2009-08-06 11:28:45 UTC
Hi,
	
I have no news of the upstream. 	
What do I do?

Best regard

Comment 5 Jan Klepek 2009-08-16 09:07:59 UTC
imho it should be "GPL+ or Artistic" from POD documentation and as per perl packaging guidelines

Comment 6 David Hannequin 2009-08-18 12:37:25 UTC
New Package CVS Request
=======================
Package Name: perl-Tk-ProgressBar-Mac
Short Description: Mac ProgressBar for Perl::Tk
Owners: hvad
Branches: F-10 F-11
InitialCC: hvad

Comment 7 Jan Klepek 2009-08-20 09:01:42 UTC
David,

Why did you set fedora.review+ ? It is not yet approved package.

I have set fedora.review? back.

I will review it this week.

Comment 8 Jan Klepek 2009-08-29 07:41:10 UTC
David, could you please provide latest package with corrected license?

rpmlint must be run on every package. 
- ok
[makerpm@kokain result]$ rpmlint perl-Tk-ProgressBar-Mac-1.2-2.fc11.*.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


The package must be named according to the Package Naming Guidelines.
- OK

The spec file name must match the base package %{name}, in the format %{name}.spec
- OK

The package must meet the Packaging Guidelines.
- OK

The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
- NOK - waiting for new srpm with correct license

The License field in the package spec file must match the actual license.
- NOK - waiting for new srpm with correct license

If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
-

The spec file must be written in American English.
- OK

The spec file for the package MUST be legible.
- OK

The sources used to build the package must match the upstream source, as provided in the spec URL.
- OK

The package MUST successfully compile and build into binary rpms on at least one primary architecture.
- OK

ExcludeArch present.
- OK, not needed

All build dependencies must be listed in BuildRequires.
- OK

The spec file MUST handle locales properly.
- OK

Ldconfig in %post and %postun.
- Not needed,OK

Relocatable package and /usr prefix.
- Not needed,OK

A package must own all directories that it creates.
- Not needed,OK

A Fedora package must not list a file more than once in the spec file's %files listings.
- OK

Permissions on files must be set properly.
- OK

Each package must have a correct %clean section.
- OK

Each package must consistently use macros.
- OK

The package must contain code, or permissable content.
- OK

Large documentation files must go in a -doc subpackage.
- OK

If a package includes something as %doc, it must not affect the runtime of the application.
- OK

Header files must be in a -devel package.
- OK

Static libraries must be in a -static package.
- OK

Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' .
- OK

Library with .so suffix must be in -devel package.
- OK

In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
- OK

Packages must NOT contain any .la libtool archives, these must be removed in thespec if they are built.
- OK

Gui application and desktop-file-install.
- Not needed,OK

Packages must not own files or directories already owned by other packages.
- OK

At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- OK

All filenames in rpm packages must be valid UTF-8.
- OK

summary: Please provide new version of srpm with correct license and do build in koji for F-10 and F-11 and provide link to these builds

Comment 10 Jan Klepek 2009-09-23 19:22:50 UTC
approved, please request cvs

Comment 11 David Hannequin 2009-09-23 19:36:25 UTC
New Package CVS Request
=======================
Package Name: perl-Tk-ProgressBar-Mac
Short Description: Mac ProgressBar for Perl::Tk
Owners: hvad
Branches: F-10 F-11
InitialCC: hvad

Comment 12 Jan Klepek 2009-09-28 07:00:08 UTC
david, you have to set fedora.cvs=? to request cvs.

Comment 13 Kevin Fenzi 2009-09-29 20:18:10 UTC
cvs done.

Comment 14 Jan Klepek 2009-10-12 09:00:23 UTC
Hi David,

Please import this package to cvs, build it in koji and submit update into bodhi.
otherwise this is stalled review.

Comment 15 Fedora Update System 2009-10-14 18:58:06 UTC
perl-Tk-ProgressBar-Mac-1.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Tk-ProgressBar-Mac-1.2-3.fc11

Comment 16 Fedora Update System 2009-10-14 19:08:43 UTC
perl-Tk-ProgressBar-Mac-1.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Tk-ProgressBar-Mac-1.2-3.fc12

Comment 17 Fedora Update System 2009-10-14 19:15:20 UTC
perl-Tk-ProgressBar-Mac-1.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Tk-ProgressBar-Mac-1.2-3.fc10

Comment 18 Fedora Update System 2009-10-15 22:33:40 UTC
perl-Tk-ProgressBar-Mac-1.2-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Tk-ProgressBar-Mac'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10515

Comment 19 Fedora Update System 2009-10-15 22:41:25 UTC
perl-Tk-ProgressBar-Mac-1.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Tk-ProgressBar-Mac'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10542

Comment 20 Fedora Update System 2009-11-12 00:56:24 UTC
perl-Tk-ProgressBar-Mac-1.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-11-12 00:59:20 UTC
perl-Tk-ProgressBar-Mac-1.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.